////////////////////////////////////////////////////////////////////////////
//
//  Dnf Declarations for Sysop Teleconference Options AH.
//
//
//                                                      - N. C. Osterc
//
////////////////////////////////////////////////////////////////////////////

#include "gcomm.h"
#include "dnf.h"

#define PPFIX "galacth/galtele/"

enum { VIEWCHANNEL,CHANNEL,TOPIC,VISKEY,JOINKEY,SPEAKKEY,SUPERKEY,
      MODKEY,PRIMEACTION,SECONDACTION,ALLOWPROFAN,ENTEXIT,CLOSED,
      EDITCHANNEL,USER, REQENTMESSAGE, REQEXTMESSAGE, CREDAMOUNT,
      ACTWORD, SIMPACTION1, COMPACTION1, RESPACTION1,
      SIMPACTION2, COMPACTION2, RESPACTION2, SIMPACTION3, COMPACTION3,
      RESPACTION3, SIMPACTION4, COMPACTION4, RESPACTION4,
      KEYREQUIRED, EDITACTIONLIST, DELACTIONLIST, ACLIST, ACTION_LIST,
      ACTION_WORD, EDIT_WORD, VIEWACTIONLIST, VIEW_WORD, SEEACTIONKEY,
      USEACTIONKEY, DEL_WORD, TLCMNU, DELCHANNEL, ALIST,
      SZ_CHAN_MAX_TOPIC_SIZE,
      SZ_CHAN_MAX_SIZE, SZ_KEYSIZ , SZ_ACTSIZ, SZ_UIDSIZ, SZ_EMSGSIZ,
      VAL_TOPIC, VAL_VISKEY, VAL_JOINKEY, VAL_SPEAKKEY, VAL_SUPERKEY,
      VAL_MODKEY, VAL_PRIMEACTION, VAL_SECONDACTION, VAL_ENTMESSAGE,
      VAL_EXTMESSAGE, VAL_SIMPACTION1, VAL_COMPACTION1, VAL_RESPACTION1,
      VAL_SIMPACTION2, VAL_COMPACTION2, VAL_RESPACTION2,
      VAL_SIMPACTION3, VAL_COMPACTION3, VAL_RESPACTION3,
      VAL_SIMPACTION4, VAL_COMPACTION4, VAL_RESPACTION4,
      VAL_KEYREQUIRED, VAL_SEEACTIONKEY, VAL_USEACTIONKEY, PROF_OP_1,
      PROF_OP_2, ENTEXT_OP_1, ENTEXT_OP_2, CLOSED_OP_1, CLOSED_OP_2,
      SQUELCH_OP_1, SQUELCH_OP_2};

dnfStep systlcChanneltoView[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,VIEWCHANNEL,"VIEWCHANNEL"),
          dnfStep(DNFCOLUMN,VIEWCHANNEL,"VIEWCHANNEL"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChanneltoViewMap(PPFIX "tlcchvu.htm",
                    "Channel to View", systlcChanneltoView );

dnfStep systlcActionWordtoView[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,VIEW_WORD,"VIEW_WORD"),
          dnfStep(DNFCOLUMN,VIEW_WORD,"VIEW_WORD"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordtoViewMap(PPFIX "tlcawv.htm",
                    "Action Word to View", systlcActionWordtoView );

dnfStep systlcActionWordtoDelete[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,DEL_WORD,"DEL_WORD"),
          dnfStep(DNFCOLUMN,DEL_WORD,"DEL_WORD"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};
dnfMap systlcActionWordtoDeleteMap(PPFIX "tlcawd.htm",
                    "Action Word to Delete", systlcActionWordtoDelete );

dnfStep systlcActionWordtoCreate[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordtoCreateMap(PPFIX "tlcawc.htm",
                    "Action Word to Create",systlcActionWordtoCreate );

dnfStep systlcActionListtoView[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,VIEWACTIONLIST,"VIEWACTIONLIST"),
          dnfStep(DNFCOLUMN,VIEWACTIONLIST,"VIEWACTIONLIST"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListtoViewMap(PPFIX "tlcalv.htm",
                    "Action List to View", systlcActionListtoView );


dnfStep systlcChannelListing[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,CHANNEL,"CHANNEL"),
          dnfStep(DNFCOLUMN,TOPIC,"TOPIC"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChannelListingMap(PPFIX "tlcchlst.htm",
                    "Channel Listing", systlcChannelListing );

dnfStep systlcActionListListing[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,ACTION_LIST,"ACTION_LIST"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListListingMap(PPFIX "tlcallst.htm",
                    "Action List Listing", systlcActionListListing );

dnfStep systlcSelectActionList[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,ACTION_LIST,"ACTION_LIST"),
          dnfStep(DNFCOLUMN,ACTION_LIST,"ACTION_LIST"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcSelectActionListMap(PPFIX "tlcselal.htm",
                    "Select Action List", systlcSelectActionList );

dnfStep systlcActionWordtoEdit[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,EDIT_WORD,"EDIT_WORD"),
          dnfStep(DNFCOLUMN,EDIT_WORD,"EDIT_WORD"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordtoEditMap(PPFIX "tlcawe.htm",
                    "Action Word to Edit", systlcActionWordtoEdit );

dnfStep systlcActionWordList[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,ACTION_WORD,"ACTION_WORD"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordListMap(PPFIX "tlcawlst.htm",
                    "Action Word Listing", systlcActionWordList );

dnfStep systlcChannelView[]={
     dnfStep(DNFWATCH,CHANNEL,"CHANNEL"),
     dnfStep(DNFWATCH,TOPIC,"TOPIC"),
     dnfStep(DNFWATCH,VISKEY,"VISKEY"),
     dnfStep(DNFWATCH,JOINKEY,"JOINKEY"),
     dnfStep(DNFWATCH,SPEAKKEY,"SPEAKKEY"),
     dnfStep(DNFWATCH,SUPERKEY,"SUPERKEY"),
     dnfStep(DNFWATCH,MODKEY,"MODKEY"),
     dnfStep(DNFWATCH,PRIMEACTION,"PRIMEACTION"),
     dnfStep(DNFWATCH,SECONDACTION,"SECONDACTION"),
     dnfStep(DNFWATCH,ALLOWPROFAN,"ALLOWPROFAN"),
     dnfStep(DNFWATCH,ENTEXIT,"ENTEXIT"),
     dnfStep(DNFWATCH,CLOSED,"CLOSED"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChannelViewMap(PPFIX "tlccview.htm",
                    "Channel View", systlcChannelView );

dnfStep systlcActionListInfoView[]={
     dnfStep(DNFWATCH,ACLIST,"ACLIST"),
     dnfStep(DNFWATCH,SEEACTIONKEY,"SEEACTIONKEY"),
     dnfStep(DNFWATCH,USEACTIONKEY,"USEACTIONKEY"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListInfoViewMap(PPFIX "tlcalvew.htm",
                    "Action List Info View", systlcActionListInfoView );

dnfStep systlcChanneltoEdit[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,EDITCHANNEL,"EDITCHANNEL"),
          dnfStep(DNFCOLUMN,EDITCHANNEL,"EDITCHANNEL"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChanneltoEditMap(PPFIX "tlcche.htm",
                    "Channel to Edit", systlcChanneltoEdit );

dnfStep systlcChannelEdit[]={
     dnfStep(DNFWATCH,CHANNEL,"CHANNEL"),
     dnfStep(DNFWATCH,CHANNEL,"CHANNEL"),
     dnfStep(DNFWATCH,SZ_CHAN_MAX_TOPIC_SIZE,"CHAN_MAX_TOPIC_SIZE"),
     dnfStep(DNFWATCH,VAL_TOPIC,"VAL_TOPIC"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,VISKEY,"VAL_VISKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,JOINKEY,"VAL_JOINKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,SPEAKKEY,"VAL_SPEAKKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,SUPERKEY,"VAL_SUPERKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,MODKEY,"VAL_MODKEY"),
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFWATCH,PRIMEACTION,"VAL_PRIMEACTION"),
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFWATCH,SECONDACTION,"VAL_SECONDACTION"),
     dnfStep(DNFWATCH,PROF_OP_1,"PROF_OP_1"),
     dnfStep(DNFWATCH,PROF_OP_1,"PROF_OP_1"),
     dnfStep(DNFWATCH,PROF_OP_2,"PROF_OP_2"),
     dnfStep(DNFWATCH,PROF_OP_2,"PROF_OP_2"),
     dnfStep(DNFWATCH,ENTEXT_OP_1,"ENTEXT_OP_1"),
     dnfStep(DNFWATCH,ENTEXT_OP_1,"ENTEXT_OP_1"),
     dnfStep(DNFWATCH,ENTEXT_OP_2,"ENTEXT_OP_2"),
     dnfStep(DNFWATCH,ENTEXT_OP_2,"ENTEXT_OP_2"),
     dnfStep(DNFWATCH,CLOSED_OP_1,"CLOSED_OP_1"),
     dnfStep(DNFWATCH,CLOSED_OP_1,"CLOSED_OP_1"),
     dnfStep(DNFWATCH,CLOSED_OP_2,"CLOSED_OP_2"),
     dnfStep(DNFWATCH,CLOSED_OP_2,"CLOSED_OP_2"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChannelEditMap(PPFIX "tlccedit.htm",
                    "Channel Edit", systlcChannelEdit );

dnfStep systlcChanneltoDelete[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,DELCHANNEL,"DELCHANNEL"),
          dnfStep(DNFCOLUMN,DELCHANNEL,"DELCHANNEL"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChanneltoDeleteMap(PPFIX "tlcchd.htm",
                    "Channel to Delete", systlcChanneltoDelete );

dnfStep systlcFrame[]={
     dnfStep(DNFWATCH,TLCMNU,"TLCMNU"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcFrameMap (PPFIX "tlcframe.htm",
                       "Frame", systlcFrame );

dnfStep systlcChannelCreate[]={
     dnfStep(DNFWATCH,CHANNEL,"CHANNEL"),
     dnfStep(DNFWATCH,CHANNEL,"CHANNEL"),
     dnfStep(DNFWATCH,SZ_CHAN_MAX_TOPIC_SIZE,"CHAN_MAX_TOPIC_SIZE"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,VISKEY,"VAL_VISKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,JOINKEY,"VAL_JOINKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,SPEAKKEY,"VAL_SPEAKKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,SUPERKEY,"VAL_SUPERKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,MODKEY,"VAL_MODKEY"),
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChannelCreateMap(PPFIX "tlccreat.htm",
                    "Channel Create", systlcChannelCreate );

dnfStep systlcChanneltoCreate[]={
     dnfStep(DNFWATCH,SZ_CHAN_MAX_SIZE,"CHAN_MAX_SIZE"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcChanneltoCreateMap(PPFIX "tlcreate.htm",
                    "Channel to Create", systlcChanneltoCreate );

dnfStep systlcActionListtoCreate[]={
     dnfStep(DNFWATCH,SZ_ACTSIZ,"ACTSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListtoCreateMap(PPFIX "tlcalc.htm",
                    "Action List to Create", systlcActionListtoCreate );



dnfStep systlcUsertoEdit[]={
     dnfStep(DNFWATCH,SZ_UIDSIZ,"UIDSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcUsertoEditMap(PPFIX "tlcmnued.htm",
                    "User to Edit", systlcUsertoEdit );

dnfStep systlcUserEdit[]={
     dnfStep(DNFWATCH,USER,"USER"),
     dnfStep(DNFWATCH,USER,"USER"),
     dnfStep(DNFWATCH,SZ_EMSGSIZ,"EMSGSIZ"),
     dnfStep(DNFWATCH,VAL_ENTMESSAGE,"VAL_ENTMESSAGE"),
     dnfStep(DNFWATCH,SZ_EMSGSIZ,"EMSGSIZ"),
     dnfStep(DNFWATCH,VAL_EXTMESSAGE,"VAL_EXTMESSAGE"),
     dnfStep(DNFWATCH,REQENTMESSAGE,"REQENTMESSAGE"),
     dnfStep(DNFWATCH,REQEXTMESSAGE,"REQEXTMESSAGE"),
     dnfStep(DNFWATCH,SQUELCH_OP_1,"SQUELCH_OP_1"),
     dnfStep(DNFWATCH,SQUELCH_OP_1,"SQUELCH_OP_1"),
     dnfStep(DNFWATCH,SQUELCH_OP_2,"SQUELCH_OP_2"),
     dnfStep(DNFWATCH,SQUELCH_OP_2,"SQUELCH_OP_2"),
     dnfStep(DNFWATCH,CREDAMOUNT,"CREDAMOUNT"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcUserEditMap(PPFIX "tlcmedit.htm",
                    "User Edit", systlcUserEdit );

dnfStep systlcActionWordView[]={
     dnfStep(DNFWATCH,ACTWORD,"ACTWORD"),
     dnfStep(DNFWATCH,SIMPACTION1,"SIMPACTION1"),
     dnfStep(DNFWATCH,SIMPACTION2,"SIMPACTION2"),
     dnfStep(DNFWATCH,SIMPACTION3,"SIMPACTION3"),
     dnfStep(DNFWATCH,SIMPACTION4,"SIMPACTION4"),
     dnfStep(DNFWATCH,COMPACTION1,"COMPACTION1"),
     dnfStep(DNFWATCH,COMPACTION2,"COMPACTION2"),
     dnfStep(DNFWATCH,COMPACTION3,"COMPACTION3"),
     dnfStep(DNFWATCH,COMPACTION4,"COMPACTION4"),
     dnfStep(DNFWATCH,RESPACTION1,"RESPACTION1"),
     dnfStep(DNFWATCH,RESPACTION2,"RESPACTION2"),
     dnfStep(DNFWATCH,RESPACTION3,"RESPACTION3"),
     dnfStep(DNFWATCH,RESPACTION4,"RESPACTION4"),
     dnfStep(DNFWATCH,KEYREQUIRED,"KEYREQUIRED"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordViewMap(PPFIX "tlcawvew.htm",
                    "Action Word View", systlcActionWordView );

dnfStep systlcActionWordEdit[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ACTWORD,"ACTWORD"),
     dnfStep(DNFWATCH,ACTWORD,"ACTWORD"),
     dnfStep(DNFWATCH,VAL_SIMPACTION1,"VAL_SIMPACTION1"),
     dnfStep(DNFWATCH,VAL_SIMPACTION2,"VAL_SIMPACTION2"),
     dnfStep(DNFWATCH,VAL_SIMPACTION3,"VAL_SIMPACTION3"),
     dnfStep(DNFWATCH,VAL_SIMPACTION4,"VAL_SIMPACTION4"),
     dnfStep(DNFWATCH,VAL_COMPACTION1,"VAL_COMPACTION1"),
     dnfStep(DNFWATCH,VAL_COMPACTION2,"VAL_COMPACTION2"),
     dnfStep(DNFWATCH,VAL_COMPACTION3,"VAL_COMPACTION3"),
     dnfStep(DNFWATCH,VAL_COMPACTION4,"VAL_COMPACTION4"),
     dnfStep(DNFWATCH,VAL_RESPACTION1,"VAL_RESPACTION1"),
     dnfStep(DNFWATCH,VAL_RESPACTION2,"VAL_RESPACTION2"),
     dnfStep(DNFWATCH,VAL_RESPACTION3,"VAL_RESPACTION3"),
     dnfStep(DNFWATCH,VAL_RESPACTION4,"VAL_RESPACTION4"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,VAL_KEYREQUIRED,"VAL_KEYREQUIRED"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordEditMap(PPFIX "tlcawedt.htm",
                    "Action Word Edit", systlcActionWordEdit );

dnfStep systlcActionWordCreate[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ACTWORD,"ACTWORD"),
     dnfStep(DNFWATCH,ACTWORD,"ACTWORD"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordCreateMap(PPFIX "tlcawcre.htm",
                    "Action Word Create", systlcActionWordCreate );


dnfStep systlcActionListEdit[]={
     dnfStep(DNFWATCH,ACLIST,"ACLIST"),
     dnfStep(DNFWATCH,ACLIST,"ACLIST"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,VAL_SEEACTIONKEY,"VAL_SEEACTIONKEY"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,VAL_USEACTIONKEY,"VAL_USEACTIONKEY"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListEditMap(PPFIX "tlcaledt.htm",
                    "Action List Edit", systlcActionListEdit );

dnfStep systlcActionListCreate[]={
     dnfStep(DNFWATCH,ACLIST,"ACLIST"),
     dnfStep(DNFWATCH,ACLIST,"ACLIST"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFWATCH,SZ_KEYSIZ,"KEYSIZ"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListCreateMap(PPFIX "tlcalcre.htm",
                    "Action List Create", systlcActionListCreate );


dnfStep systlcActionListtoEdit[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,EDITACTIONLIST,"EDITACTIONLIST"),
          dnfStep(DNFCOLUMN,EDITACTIONLIST,"EDITACTIONLIST"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListtoEditMap(PPFIX "tlcale.htm",
                    "Action List to Edit", systlcActionListtoEdit );

dnfStep systlcActionListtoDelete[]={
     dnfStep(DNFTABLE),
          dnfStep(DNFCOLUMN,DELACTIONLIST,"DELACTIONLIST"),
          dnfStep(DNFCOLUMN,DELACTIONLIST,"DELACTIONLIST"),
     dnfStep(DNFTABLEEND),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionListtoDeleteMap(PPFIX "tlcald.htm",
                    "Action List to Delete", systlcActionListtoDelete );


dnfStep systlcActionWordMenu[]={
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFWATCH,ALIST,"ALIST"),
     dnfStep(DNFMAPEND)
};

dnfMap systlcActionWordMenuMap(PPFIX "tlcawmnu.htm",
                               "Action Word Menu", systlcActionWordMenu );
